<?php
if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<div class="widget">',
		'after_widget' => '</ul></div></div>',
		'before_title' => '<div class="widget-baslik"><h3>',
		'after_title' => '</h3></div>
                <div class="widget-icerik">
                    <ul class="widget-kategoriler">',
	));
}

function mytheme_comment($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment;
		extract($args, EXTR_SKIP);

		if ( 'div' == $args['style'] ) {
			$tag = 'div';
			$add_below = 'comment';
		} else {
			$tag = 'li';
			$add_below = 'div-comment';
		}
?>
		<<?php echo $tag ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?> id="comment-<?php comment_ID() ?>">
		<?php if ( 'div' != $args['style'] ) : ?>
		<div id="div-comment-<?php comment_ID() ?>" class="filmdetay-yorumlar-header">
		<?php endif; ?>
		<div class="filmdetay-yorumlar-avatar">
		<?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['avatar_size'] ); ?>
		</div>
		<div class="filmdetay-yorumlar-isim">
		<?php printf(__('<cite class="fn">%s </cite><span class="says">says:</span>'), get_comment_author_link()) ?>
		</div>
<div class="temizle"></div>
		<div class="yourmtarihi">
			<?php
				/* translators: 1: date, 2: time */
				printf( __('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?><?php edit_comment_link(__('(Edit)'),'  ','' );
			?>
		</div>
<div class="filmdetay-yorumlar-icerik">
		<?php comment_text() ?>
	<?php if ($comment->comment_approved == '0') : ?>
		<em class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.') ?></em>
		<br />
	<?php endif; ?>	
</div>

		<div class="reply">
		<?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
		</div>
		<?php if ( 'div' != $args['style'] ) : ?>
		</div>
		<?php endif; ?>
<?php
        }
	
$sp_boxes = array (
    'Movie Details' => array (
        array( 'imdb', 'IMDB Rating:' ),
        array( 'thumb', 'Thumbnail URL - start with http://' ),
        array( 'featured', 'Write x, if it is a featured movie. It will display in slider on homepage:' ),
        array( 'sliderimage', 'If it is featured movie, write the slider image URL - start with http://' ),
        array( 'dubbed', 'Write x, if it is a dubbed movie:' ),
		array( 'subtitled', 'Write x, if it is a subtitled movie:' ),
		array( 'english', 'Write x, if it is an English movie:' ),
        array( 'yapimyili', 'Year:' ),
        array( 'ulke', 'Country:' ),
    ),
);
add_action( 'admin_menu', 'sp_add_custom_box' );
add_action( 'save_post', 'sp_save_postdata', 1, 2 );
function sp_add_custom_box() {
    global $sp_boxes;

    if ( function_exists( 'add_meta_box' ) ) {

        foreach ( array_keys( $sp_boxes ) as $box_name ) {
            add_meta_box( $box_name, __( $box_name, 'sp' ), 'sp_post_custom_box', 'post', 'normal', 'high' );
        }
    }
}
function sp_post_custom_box ( $obj, $box ) {
    global $sp_boxes;
    static $sp_nonce_flag = false;
    if ( ! $sp_nonce_flag ) {
        echo_sp_nonce();
        $sp_nonce_flag = true;
    }
    foreach ( $sp_boxes[$box['id']] as $sp_box ) {
        echo field_html( $sp_box );
    }
}
function field_html ( $args ) {
    switch ( $args[2] ) {
        case 'textarea':
            return text_area( $args );
        case 'checkbox':
        case 'radio':
        case 'text':
        default:
            return text_field( $args );
    }
}
function text_field ( $args ) {
    global $post;
    $args[2] = get_post_meta($post->ID, $args[0], true);
    $args[1] = __($args[1], 'sp' );

    $label_format =
          '<label for="%1$s">%2$s</label><br />'
        . '<input style="width: 95%%;" type="text" name="%1$s" value="%3$s" /><br /><br />';
    return vsprintf( $label_format, $args );
}
function text_area ( $args ) {
    global $post;
    $args[2] = get_post_meta($post->ID, $args[0], true);
    $args[1] = __($args[1], 'sp' );

    $label_format =
          '<label for="%1$s">%2$s</label><br />'
        . '<textarea style="width: 95%%;" name="%1$s">%3$s</textarea><br /><br />';
    return vsprintf( $label_format, $args );
}
function sp_save_postdata($post_id, $post) {
    global $sp_boxes;
    if ( ! wp_verify_nonce( $_POST['sp_nonce_name'], plugin_basename(__FILE__) ) ) {
        return $post->ID;
    }
    if ( 'page' == $_POST['post_type'] ) {
        if ( ! current_user_can( 'edit_page', $post->ID ))
            return $post->ID;

    } else {
        if ( ! current_user_can( 'edit_post', $post->ID ))
            return $post->ID;
    }
    foreach ( $sp_boxes as $sp_box ) {
        foreach ( $sp_box as $sp_fields ) {
            $my_data[$sp_fields[0]] =  $_POST[$sp_fields[0]];
        }
    }
    foreach ($my_data as $key => $value) {
        if ( 'revision' == $post->post_type  ) {
            return;
        }
        $value = implode(',', (array)$value);
        if ( get_post_meta($post->ID, $key, FALSE) ) {
            update_post_meta($post->ID, $key, $value);


        } else {
            add_post_meta($post->ID, $key, $value);
        }

        if (!$value) {
            delete_post_meta($post->ID, $key);
        }
    }
}

function echo_sp_nonce () {
    echo sprintf(
        '<input type="hidden" name="%1$s" id="%1$s" value="%2$s" />',
        'sp_nonce_name',
        wp_create_nonce( plugin_basename(__FILE__) )
    );
}
if ( !function_exists('get_custom_field') ) {
    function get_custom_field($field) {
       global $post;
       $custom_field = get_post_meta($post->ID, $field, true);
       echo $custom_field;
    }
}
add_action( 'init', 'register_my_menus' );
function register_my_menus() {
	register_nav_menus(
		array(
			'primary-menu' => __( 'Top Menu' ),
			'secondary-menu' => __( 'Footer Left Menu' ),
			'third-menu' => __( 'Footer Right Menu' ),
		)
	);
}
function new_excerpt_length($length) {
	return 12;
}
add_filter('excerpt_length', 'new_excerpt_length');
function new_excerpt_more($more) {
	return ' ...';
}
add_filter('excerpt_more', 'new_excerpt_more');

function wp_pagenavi($before = '', $after = '', $prelabel = '', $nxtlabel = '', $pages_to_show = 5, $always_show = false) {
 global $request, $posts_per_page, $wpdb, $paged;
 if(empty($prelabel)) {   $prelabel = '';
 } if(empty($nxtlabel)) {
 $nxtlabel = '';
 } $half_pages_to_show = round($pages_to_show/3);
 if (!is_single()) {
 if(!is_category()) {
 preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);  } else {
 preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);  }
 $fromwhere = $matches[1];
 $numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
 $max_page = ceil($numposts /$posts_per_page);
 if(empty($paged)) {
 $paged = 1;
 }
 if($max_page > 1 || $always_show) {
 echo "$before <ul class=\"filmsayfalama\">";   if ($paged >= ($pages_to_show-1)) {
 echo ' <li><a href="'.get_pagenum_link().'">first</a></li> ';  }

 for($i = $paged - $half_pages_to_show; $i <= $paged + $half_pages_to_show; $i++) {   if ($i >= 1 && $i <= $max_page) {   if($i == $paged) {
 echo '<li class="burada"><a href="'.get_pagenum_link($i).'">'.$i.'</a></li>';
 } else {
 echo ' <li><a href="'.get_pagenum_link($i).'">'.$i.'</a></li> ';   }
 }
 }

 if (($paged+$half_pages_to_show) < ($max_page)) {
 echo ' <li><a href="'.get_pagenum_link($max_page).'">last</a></li>';   }
 echo "<li class=\"filmsayfalama-son\">Total Pages: $max_page</li></ul> $after";
 }
 }
}
$themename = "Sam Movie";
$shortname = "sam";
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();
foreach ($categories as $category_list ) {
       $wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category"); 

$options = array (

	array(	"name" => "Website Details",
			"type" => "title"),
			
	array(	"type" => "open"),

	array(	"name" => "Site URL",
			"desc" => "Write your site url. Example: www.example.com.",
			"id" => $shortname."_blogurl",
			"std" => "",
			"type" => "text"),
	
	array(	"name" => "Website Description",
			"desc" => "This will be displayed in right top of the website. You can html codes.",
            "id" => $shortname."_description",
            "type" => "textarea"),
			
	array(	"name" => "Favicon URL",
			"desc" => "Write the Favicon url. Use http://",
			"id" => $shortname."_favicon",
			"std" => "",
			"type" => "text"),

	array(	"name" => "Adsense - Banner",
			"type" => "title"),
			
	array(	"type" => "open"),
	
	array(	"name" => "120*600 Left Banner - Adsense Code",
			"desc" => "Paste your 120*600 Left Adsense or Banner code.",
            "id" => $shortname."_728l_90",
            "type" => "textarea"),
			
	array(
			"name" => 'Disable 120*600 Right Banner - Adsense?',
			"desc" => "You can disable the 120*600 left Banner - Adsense.",
            "id" => $shortname."_728l_disable",
			"type" => 'select',
			"options" => array('No', 'Yes'),
			"std" => "false"),	

	array(	"name" => "120*600 Right Banner - Adsense Code",
			"desc" => "Paste your 120*600 Right Adsense or Banner code.",
            "id" => $shortname."_728r_90",
            "type" => "textarea"),
	
	array(
			"name" => 'Disable 120*600 Right Banner - Adsense?',
			"desc" => "You can disable the 120*600 right Banner - Adsense.",
            "id" => $shortname."_728r_disable",
			"type" => 'select',
			"options" => array('No', 'Yes'),
			"std" => "false"),	
			
	array(	"name" => "643*80 Banner",
			"desc" => "Paste your 643*80 Banner code.",
            "id" => $shortname."_643_80",
            "type" => "textarea"),
	
	array(
			"name" => 'Disable 643*80 Banner Space?',
			"desc" => "You can disable the 643*80 banner space.",
            "id" => $shortname."_643_disable",
			"type" => 'select',
			"options" => array('No', 'Yes'),
			"std" => "false"),	
	
	array(	"name" => "Footer",
			"type" => "title"),
			
	array(	"type" => "open"),
			
	array(	"name" => "Facebook Page URL",
			"desc" => "Write your Facebook page URL.",
			"id" => $shortname."_facebook",
			"std" => "",
			"type" => "text"),

	array(	"name" => "Twitter Account URL",
			"desc" => "Write your Twitter account URL.",
			"id" => $shortname."_twitter",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "Youtube Channel URL",
			"desc" => "Write your Youtube Channel URL.",
			"id" => $shortname."_youtube",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "Analytics Code",
			"desc" => "Paste your Analaytics code.",
            "id" => $shortname."_analytics",
            "type" => "textarea"),
	
	array(	"type" => "close")
	
);

function mytheme_add_admin() {
    global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
        if ( 'save' == $_REQUEST['action'] ) {
                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } else if( 'reset' == $_REQUEST['action'] ) {
            foreach ($options as $value) {
                delete_option( $value['id'] ); }
            header("Location: themes.php?page=functions.php&reset=true");
            die;
        }
    }
    add_theme_page($themename." Theme Options", "".$themename." Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}
function mytheme_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' options saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' options reset.</strong></p></div>';
?>
<div class="wrap">
<h2><?php echo $themename; ?> Theme Options</h2>

<p style="">Visit <a href="http://wpsam.com/sam-movie/" target="_blank">Sam Movie Theme</a> if you need help.

<form method="post">
<?php foreach ($options as $value) { 
	switch ( $value['type'] ) {
		case "open":
		?>
        <table width="100%" border="0" style="padding:10px;">
		<?php break;
		case "close":
		?>
        </table><br />
		<?php break;
		case "title":
		?>
		<table width="100%" border="0" style="background-color:#f1f1f1; padding:5px 10px;border:1px solid #e3e3e3;border-radius: 5px; 
-moz-border-radius: 5px; 
-webkit-border-radius: 5px;"><tr>
        	<td colspan="2"><h3 style="font-family:Georgia,'Times New Roman',Times,serif;margin:0;"><?php echo $value['name']; ?></h3></td>
        </tr>
		<?php break;
		case 'text':
		?>
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
        </tr>
        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;"></td></tr><tr><td colspan="2"></td></tr>
		<?php 
		break;
		case 'textarea':
		?>
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:200px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo stripslashes (get_settings( $value['id'] )); } else { echo $value['std']; } ?></textarea></td> 
        </tr>
        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;"></td></tr><tr><td colspan="2"></td></tr>
		<?php 
		break;
		case 'select':
		?>
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
       </tr> 
       <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
       </tr><tr><td colspan="2" style="margin-bottom:5px;"></td></tr><tr><td colspan="2"></td></tr>
		<?php
        break;  
		case "checkbox":
		?>
            <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
                <td width="80%"><? if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                        <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
                        </td>
            </tr>       
            <tr>
                <td><small><?php echo $value['desc']; ?></small></td>
           </tr><tr><td colspan="2" style="margin-bottom:5px;"></td></tr><tr><td colspan="2"></td></tr>
        <?php 		break;
} 
}
?>
<p class="submit">
<input name="save" type="submit" value="Save Changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Rest" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<?php
}
add_action('admin_menu', 'mytheme_add_admin'); ?>